# Uses of Class
org.springframework.aot.hint.predicate.ReflectionHintsPredicates.ConstructorHintPredicate

Packages that use ReflectionHintsPredicates.ConstructorHintPredicate
Package
Description
org.springframework.aot.hint.predicate
Predicate support for runtime hints.

## Uses of ReflectionHintsPredicates.ConstructorHintPredicate in org.springframework.aot.hint.predicate

Methods in org.springframework.aot.hint.predicate that return ReflectionHintsPredicates.ConstructorHintPredicate
Modifier and Type
Method
Description
`ReflectionHintsPredicates.ConstructorHintPredicate`
ReflectionHintsPredicates.`onConstructor(Constructor<?> constructor)`
Return a predicate that checks whether a reflection hint is registered for the given constructor.